Page MenuHomePhabricator

[DO NOT USE] jquery-tablesorter (tracking) [superseded by #MediaWiki-jQuery-Tablesorter]
Closed, InvalidPublic

Description

This tracking task has been superseded by the project MediaWiki-jQuery-Tablesorter (as requested in T86232).
Please use / watch the project MediaWiki-jQuery-Tablesorter instead of this task.


See Also:
T32673: Implement central locale-specific, or tailored, sorting framework (tracking)

Details

Reference
bz31601

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:51 PM
bzimport set Reference to bz31601.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Oct 11 2011, 7:59 AM
Krinkle renamed this task from tablesorter (tracking) to jquery-tablesorter (tracking).Jan 8 2015, 8:59 PM
Krinkle updated the task description. (Show Details)
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).
Aklapper closed this task as Declined.Feb 12 2015, 4:39 PM
Aklapper updated the task description. (Show Details)
Aklapper added a subscriber: Aklapper.

This tracking task has been superseded by the project MediaWiki-jQuery-Tablesorter (as requested in T86232).
Please use / watch the project MediaWiki-jQuery-Tablesorter instead of this task.

Phabricator_maintenance removed subtasks: T30241: Proposal for ability to move sort icon for tables with "colspan"-ed/"rowspan"-ed header rows, T64878: jquery.makeCollapsible does not handle thead and tfoot as used by jquery.tablesorter, T26523: Make table sorting ignore refs when determining data type, T73696: Sortable table not working correctly for "Number of files" on Special:MediaStatistics, T75312: Sort function with icon works only once, T69558: Use previous sort order by default as 'secondary sort', T74534: Table sorting broken by colspan, T68948: Class "sortable" does not work with "mw-collapsible mw-collapsed" in some tables., T58952: Number sorting doesn't work in spanish Wikipedia, T60443: Tablesorter should sort non-numerical values alphabeticaly ("natural sorting"), T72157: Provide sensible per-language defaults for tableSorterCollation used by jquery.tablesorter, T68647: data-sort-type should correlate the currencies of data-sort-value cells with 'currency criterion' compatible cells when used sparcely, T55211: tablesorter broken due to unsortable headers parented by colspans/rowspans, T65055: Table sorting for number values should ignore approximate/estimate "~" character, T59776: jquery.tablesorter.test.js broken for $wgLanguageCode != en, T59775: Add aria-sort to table sorter, T54842: jquery.tablesorter: data-sort-type="isoDate" does not work for dates in the format YYYY-MM-DDTHH:MM:SSZ, T49858: Enable jquery.tablesorter on mobile, T49654: Tablesorter: colspan in buildHeaders is undefined, T44097: Tablesorter hangs browsers on page load, T43926: jquery.tablesorter multiple columns sort feature is not discoverable, T43889: tablesorter has trouble exploding rowspans with row header cells, T43886: [regression] tablesorter doesn't handle headers with colspan properly, T53982: jquery.tablesorter is no longer extendable from user and site scripts (tableSorterCollation built too early), T47161: Remove all non-trivial parsers in jquery.tablesorter, T42044: tablesorter should sort images with alt text, T47070: Wikitable sortable - capital letters sort both before and after small ones, T47071: Wikitable sortable has wrong order for Czech diacritics, T53742: [[Special:Tags]] is not properly sorted by number of tagged changes, T55527: Tablesorter places sort arrows to wrong row, T45165: Alphabetic operation logic of sort order function for numeric data in tables in russian language, T48496: tablesorter should support genitive month names, T46818: jquery.tablesorter should sort plain year digits as date, T44924: Wrong sorting in tables with {{formatnum}} in Spanish Wikipedia (es.wp) due to spaces to separate thousands, T34888: Tables' headers' sortability attribute is disabled, when a 6-columnn table is inserted into one of its headers., T36676: extra dimentional table sorting, T33255: jquery.tablesorter should support sorting by multiple columns, T33196: .headerSort should have a padding accounting for the sortable icon to avoid icons through text, T33137: Table sorter should support mixed strings and numbers in one column, T36475: Incorrect sorting columns in IP/CIDR format, T33060: Sortable tables: CSS class "unsortable" should also work for rows outside the table heading, T44607: Tablesorter sorts all numbers as dates in Czech, T42763: Implement repeated/fixed/floating table headers, T41069: tablesorter hangs up browsers, T41055: Enhance tablesorter to avoid using display: none; hacks, T42638: Wikitable Sorting doesn't work properly in preview mode, T42634: Table option for static rank order column, or row numbering, T42618: jquery.tablesorter: Add support for a "fixed" column of row numbers., T40911: [Tablesorter] Headers with rowspan should be considered for all rows, T32674: Use sort collation config in JavaScript (jquery.tablesorter), T36093: jquery.tablesorter should guess decimal point and thousand separator from date string instead of global setting, T30946: Load tablesorter only if there's a sortable table in the page, T40704: Cloned sortable tables throw JavaScript error, T30775: Regression in tablesorting (jquery.tablesorter.js), T33755: [Regression] style="background:XXXX;" in headers breaks sortable tables, T33604: Table dialog doesn't show example for sortable table, T35399: LivePreview: Re-run wikipage content handlers (jquery.makeCollapsible, jquery.tablesorter, ..) after preview content is loaded, T33527: jquery.tablesorter's data-sort-type feature not working for wikitext tables on WMF, T33514: mw-collapsible does not work together with sortable anymore, T35249: Option for sort indicator to be below the table header text, T33420: tablesorter and rowspans in headers, T29745: References in column affect sorting (if no data-sort-type="number" attribute added to heading of column), T17406: Sortable tables: Force sortorder of a column, T17404: Add support for sorting fractions in jquery.tablesorter, T17403: tablesorter should provide a way to have a particular column be sorted in reverse order by default, T10028: Table sorting broken by colspan/rowspan.Jul 30 2016, 3:45 PM
Danny_B renamed this task from jquery-tablesorter (tracking) to [DO NOT USE] jquery-tablesorter (tracking) [superseded by #MediaWiki-jQuery-Tablesorter].Jul 30 2016, 3:47 PM
Danny_B changed the task status from Declined to Invalid.
Danny_B lowered the priority of this task from Normal to Lowest.